﻿2026-06-04T00:09:16.1127854Z ##[group]Run dtolnay/rust-toolchain@stable
2026-06-04T00:09:16.1128912Z with:
2026-06-04T00:09:16.1211403Z   components: clippy
2026-06-04T00:09:16.1212486Z   toolchain: stable
2026-06-04T00:09:16.1213175Z ##[endgroup]
2026-06-04T00:09:16.1411148Z ##[group]Run : parse toolchain version
2026-06-04T00:09:16.1412340Z [36;1m: parse toolchain version[0m
2026-06-04T00:09:16.1413955Z [36;1mif [[ -z $toolchain ]]; then[0m
2026-06-04T00:09:16.1415780Z [36;1m  # GitHub does not enforce `required: true` inputs itself. https://github.com/actions/runner/issues/1070[0m
2026-06-04T00:09:16.1417649Z [36;1m  echo "'toolchain' is a required input" >&2[0m
2026-06-04T00:09:16.1418615Z [36;1m  exit 1[0m
2026-06-04T00:09:16.1419782Z [36;1melif [[ $toolchain =~ ^stable' '[0-9]+' '(year|month|week|day)s?' 'ago$ ]]; then[0m
2026-06-04T00:09:16.1421244Z [36;1m  if [[ Linux == macOS ]]; then[0m
2026-06-04T00:09:16.1423178Z [36;1m    echo "toolchain=1.$((($(date -v-$(sed 's/stable \([0-9]*\) \(.\).*/\1\2/' <<< $toolchain) +%s)/60/60/24-16569)/7/6))" >> $GITHUB_OUTPUT[0m
2026-06-04T00:09:16.1425443Z [36;1m  else[0m
2026-06-04T00:09:16.1427147Z [36;1m    echo "toolchain=1.$((($(date --date "${toolchain#stable }" +%s)/60/60/24-16569)/7/6))" >> $GITHUB_OUTPUT[0m
2026-06-04T00:09:16.1428684Z [36;1m  fi[0m
2026-06-04T00:09:16.1429645Z [36;1melif [[ $toolchain =~ ^stable' 'minus' '[0-9]+' 'releases?$ ]]; then[0m
2026-06-04T00:09:16.1431538Z [36;1m  echo "toolchain=1.$((($(date +%s)/60/60/24-16569)/7/6-${toolchain//[^0-9]/}))" >> $GITHUB_OUTPUT[0m
2026-06-04T00:09:16.1433561Z [36;1melif [[ $toolchain =~ ^1\.[0-9]+$ ]]; then[0m
2026-06-04T00:09:16.1435422Z [36;1m  echo "toolchain=1.$((i=${toolchain#1.}, c=($(date +%s)/60/60/24-16569)/7/6, i+9*i*(10*i<=c)+90*i*(100*i<=c)))" >> $GITHUB_OUTPUT[0m
2026-06-04T00:09:16.1438082Z [36;1melse[0m
2026-06-04T00:09:16.1438937Z [36;1m  echo "toolchain=$toolchain" >> $GITHUB_OUTPUT[0m
2026-06-04T00:09:16.1439965Z [36;1mfi[0m
2026-06-04T00:09:16.1480097Z shell: /usr/bin/bash --noprofile --norc -e -o pipefail {0}
2026-06-04T00:09:16.1481271Z env:
2026-06-04T00:09:16.1481789Z   toolchain: stable
2026-06-04T00:09:16.1482405Z ##[endgroup]
2026-06-04T00:09:16.1689015Z ##[group]Run : construct rustup command line
2026-06-04T00:09:16.1689763Z [36;1m: construct rustup command line[0m
2026-06-04T00:09:16.1690767Z [36;1mecho "targets=$(for t in ${targets//,/ }; do echo -n ' --target' $t; done)" >> $GITHUB_OUTPUT[0m
2026-06-04T00:09:16.1692201Z [36;1mecho "components=$(for c in ${components//,/ }; do echo -n ' --component' $c; done)" >> $GITHUB_OUTPUT[0m
2026-06-04T00:09:16.1693550Z [36;1mecho "downgrade=" >> $GITHUB_OUTPUT[0m
2026-06-04T00:09:16.1724209Z shell: /usr/bin/bash --noprofile --norc -e -o pipefail {0}
2026-06-04T00:09:16.1724952Z env:
2026-06-04T00:09:16.1725315Z   targets: 
2026-06-04T00:09:16.1725708Z   components: clippy
2026-06-04T00:09:16.1726136Z ##[endgroup]
2026-06-04T00:09:16.1838566Z ##[group]Run : set $CARGO_HOME
2026-06-04T00:09:16.1839158Z [36;1m: set $CARGO_HOME[0m
2026-06-04T00:09:16.1839870Z [36;1mecho CARGO_HOME=${CARGO_HOME:-"$HOME/.cargo"} >> $GITHUB_ENV[0m
2026-06-04T00:09:16.1870068Z shell: /usr/bin/bash --noprofile --norc -e -o pipefail {0}
2026-06-04T00:09:16.1870811Z ##[endgroup]
2026-06-04T00:09:16.1986499Z ##[group]Run : install rustup if needed
2026-06-04T00:09:16.1987207Z [36;1m: install rustup if needed[0m
2026-06-04T00:09:16.1987837Z [36;1mif ! command -v rustup &>/dev/null; then[0m
2026-06-04T00:09:16.1989510Z [36;1m  curl --proto '=https' --tlsv1.2 --retry 10 --retry-connrefused --location --silent --show-error --fail https://sh.rustup.rs | sh -s -- --default-toolchain none -y[0m
2026-06-04T00:09:16.1991169Z [36;1m  echo "$CARGO_HOME/bin" >> $GITHUB_PATH[0m
2026-06-04T00:09:16.1991769Z [36;1mfi[0m
2026-06-04T00:09:16.2022088Z shell: /usr/bin/bash --noprofile --norc -e -o pipefail {0}
2026-06-04T00:09:16.2022839Z env:
2026-06-04T00:09:16.2023246Z   CARGO_HOME: /home/runner/.cargo
2026-06-04T00:09:16.2024033Z ##[endgroup]
2026-06-04T00:09:16.2134050Z ##[group]Run rustup toolchain install stable --component clippy --profile minimal --no-self-update
2026-06-04T00:09:16.2135609Z [36;1mrustup toolchain install stable --component clippy --profile minimal --no-self-update[0m
2026-06-04T00:09:16.2167435Z shell: /usr/bin/bash --noprofile --norc -e -o pipefail {0}
2026-06-04T00:09:16.2168341Z env:
2026-06-04T00:09:16.2168731Z   CARGO_HOME: /home/runner/.cargo
2026-06-04T00:09:16.2169280Z   RUSTUP_PERMIT_COPY_RENAME: 1
2026-06-04T00:09:16.2169774Z ##[endgroup]
2026-06-04T00:09:16.4143762Z info: syncing channel updates for stable-x86_64-unknown-linux-gnu
2026-06-04T00:09:16.7106285Z info: latest update on 2026-05-28 for version 1.96.0 (ac68faa20 2026-05-25)
2026-06-04T00:09:16.7358283Z info: removing previous version of component clippy
2026-06-04T00:09:16.7486486Z info: removing previous version of component rustfmt
2026-06-04T00:09:16.7544647Z info: removing previous version of component cargo
2026-06-04T00:09:16.7632094Z info: removing previous version of component rust-std
2026-06-04T00:09:16.7677613Z info: removing previous version of component rustc
2026-06-04T00:09:16.7719972Z info: downloading 5 components
2026-06-04T00:09:27.0261928Z 
2026-06-04T00:09:27.0350025Z   stable-x86_64-unknown-linux-gnu updated - rustc 1.96.0 (ac68faa20 2026-05-25) (from rustc 1.95.0 (59807616e 2026-04-14))
2026-06-04T00:09:27.0351839Z 
2026-06-04T00:09:27.0450180Z ##[group]Run rustup default stable
2026-06-04T00:09:27.0450594Z [36;1mrustup default stable[0m
2026-06-04T00:09:27.0477681Z shell: /usr/bin/bash --noprofile --norc -e -o pipefail {0}
2026-06-04T00:09:27.0478102Z env:
2026-06-04T00:09:27.0478366Z   CARGO_HOME: /home/runner/.cargo
2026-06-04T00:09:27.0478681Z ##[endgroup]
2026-06-04T00:09:27.0589376Z info: using existing install for stable-x86_64-unknown-linux-gnu
2026-06-04T00:09:27.0597812Z info: default toolchain set to stable-x86_64-unknown-linux-gnu
2026-06-04T00:09:27.0598326Z 
2026-06-04T00:09:27.0671719Z   stable-x86_64-unknown-linux-gnu unchanged - rustc 1.96.0 (ac68faa20 2026-05-25)
2026-06-04T00:09:27.0672818Z 
2026-06-04T00:09:27.0714176Z ##[group]Run : create cachekey
2026-06-04T00:09:27.0714612Z [36;1m: create cachekey[0m
2026-06-04T00:09:27.0715189Z [36;1mDATE=$(rustc +stable --version --verbose | sed -ne 's/^commit-date: \(20[0-9][0-9]\)-\([01][0-9]\)-\([0-3][0-9]\)$/\1\2\3/p')[0m
2026-06-04T00:09:27.0715935Z [36;1mHASH=$(rustc +stable --version --verbose | sed -ne 's/^commit-hash: //p')[0m
2026-06-04T00:09:27.0716479Z [36;1mecho "cachekey=$(echo $DATE$HASH | head -c12)" >> $GITHUB_OUTPUT[0m
2026-06-04T00:09:27.0744327Z shell: /usr/bin/bash --noprofile --norc -e -o pipefail {0}
2026-06-04T00:09:27.0744745Z env:
2026-06-04T00:09:27.0745010Z   CARGO_HOME: /home/runner/.cargo
2026-06-04T00:09:27.0745326Z ##[endgroup]
2026-06-04T00:09:27.1139499Z ##[group]Run : disable incremental compilation
2026-06-04T00:09:27.1139962Z [36;1m: disable incremental compilation[0m
2026-06-04T00:09:27.1140367Z [36;1mif [ -z "${CARGO_INCREMENTAL+set}" ]; then[0m
2026-06-04T00:09:27.1140795Z [36;1m  echo CARGO_INCREMENTAL=0 >> $GITHUB_ENV[0m
2026-06-04T00:09:27.1141137Z [36;1mfi[0m
2026-06-04T00:09:27.1168323Z shell: /usr/bin/bash --noprofile --norc -e -o pipefail {0}
2026-06-04T00:09:27.1168779Z env:
2026-06-04T00:09:27.1169067Z   CARGO_HOME: /home/runner/.cargo
2026-06-04T00:09:27.1169394Z ##[endgroup]
2026-06-04T00:09:27.1247040Z ##[group]Run : enable colors in Cargo output
2026-06-04T00:09:27.1247464Z [36;1m: enable colors in Cargo output[0m
2026-06-04T00:09:27.1247891Z [36;1mif [ -z "${CARGO_TERM_COLOR+set}" ]; then[0m
2026-06-04T00:09:27.1248294Z [36;1m  echo CARGO_TERM_COLOR=always >> $GITHUB_ENV[0m
2026-06-04T00:09:27.1248648Z [36;1mfi[0m
2026-06-04T00:09:27.1274904Z shell: /usr/bin/bash --noprofile --norc -e -o pipefail {0}
2026-06-04T00:09:27.1275312Z env:
2026-06-04T00:09:27.1275572Z   CARGO_HOME: /home/runner/.cargo
2026-06-04T00:09:27.1275891Z   CARGO_INCREMENTAL: 0
2026-06-04T00:09:27.1276160Z ##[endgroup]
2026-06-04T00:09:27.1385128Z ##[group]Run : enable Cargo sparse registry
2026-06-04T00:09:27.1385832Z [36;1m: enable Cargo sparse registry[0m
2026-06-04T00:09:27.1386252Z [36;1m# implemented in 1.66, stabilized in 1.68, made default in 1.70[0m
2026-06-04T00:09:27.1387017Z [36;1mif [ -z "${CARGO_REGISTRIES_CRATES_IO_PROTOCOL+set}" -o -f "/home/runner/work/_temp"/.implicit_cargo_registries_crates_io_protocol ]; then[0m
2026-06-04T00:09:27.1387973Z [36;1m  if rustc +stable --version --verbose | grep -q '^release: 1\.6[89]\.'; then[0m
2026-06-04T00:09:27.1388604Z [36;1m    touch "/home/runner/work/_temp"/.implicit_cargo_registries_crates_io_protocol || true[0m
2026-06-04T00:09:27.1389189Z [36;1m    echo CARGO_REGISTRIES_CRATES_IO_PROTOCOL=sparse >> $GITHUB_ENV[0m
2026-06-04T00:09:27.1389742Z [36;1m  elif rustc +stable --version --verbose | grep -q '^release: 1\.6[67]\.'; then[0m
2026-06-04T00:09:27.1390347Z [36;1m    touch "/home/runner/work/_temp"/.implicit_cargo_registries_crates_io_protocol || true[0m
2026-06-04T00:09:27.1390914Z [36;1m    echo CARGO_REGISTRIES_CRATES_IO_PROTOCOL=git >> $GITHUB_ENV[0m
2026-06-04T00:09:27.1391306Z [36;1m  fi[0m
2026-06-04T00:09:27.1391560Z [36;1mfi[0m
2026-06-04T00:09:27.1418632Z shell: /usr/bin/bash --noprofile --norc -e -o pipefail {0}
2026-06-04T00:09:27.1419052Z env:
2026-06-04T00:09:27.1419316Z   CARGO_HOME: /home/runner/.cargo
2026-06-04T00:09:27.1419650Z   CARGO_INCREMENTAL: 0
2026-06-04T00:09:27.1419930Z   CARGO_TERM_COLOR: always
2026-06-04T00:09:27.1420213Z ##[endgroup]
2026-06-04T00:09:27.1784346Z ##[group]Run : work around spurious network errors in curl 8.0
2026-06-04T00:09:27.1784939Z [36;1m: work around spurious network errors in curl 8.0[0m
2026-06-04T00:09:27.1785585Z [36;1m# https://rust-lang.zulipchat.com/#narrow/stream/246057-t-cargo/topic/timeout.20investigation[0m
2026-06-04T00:09:27.1786249Z [36;1mif rustc +stable --version --verbose | grep -q '^release: 1\.7[01]\.'; then[0m
2026-06-04T00:09:27.1786780Z [36;1m  echo CARGO_HTTP_MULTIPLEXING=false >> $GITHUB_ENV[0m
2026-06-04T00:09:27.1787183Z [36;1mfi[0m
2026-06-04T00:09:27.1814973Z shell: /usr/bin/bash --noprofile --norc -e -o pipefail {0}
2026-06-04T00:09:27.1815382Z env:
2026-06-04T00:09:27.1815643Z   CARGO_HOME: /home/runner/.cargo
2026-06-04T00:09:27.1815960Z   CARGO_INCREMENTAL: 0
2026-06-04T00:09:27.1816238Z   CARGO_TERM_COLOR: always
2026-06-04T00:09:27.1816533Z ##[endgroup]
2026-06-04T00:09:27.2038786Z ##[group]Run rustc +stable --version --verbose
2026-06-04T00:09:27.2039247Z [36;1mrustc +stable --version --verbose[0m
2026-06-04T00:09:27.2066517Z shell: /usr/bin/bash --noprofile --norc -e -o pipefail {0}
2026-06-04T00:09:27.2066927Z env:
2026-06-04T00:09:27.2067188Z   CARGO_HOME: /home/runner/.cargo
2026-06-04T00:09:27.2067506Z   CARGO_INCREMENTAL: 0
2026-06-04T00:09:27.2067782Z   CARGO_TERM_COLOR: always
2026-06-04T00:09:27.2068069Z ##[endgroup]
2026-06-04T00:09:27.2248095Z rustc 1.96.0 (ac68faa20 2026-05-25)
2026-06-04T00:09:27.2249187Z binary: rustc
2026-06-04T00:09:27.2249809Z commit-hash: ac68faa20c58cbccd01ee7208bf3b6e93a7d7f96
2026-06-04T00:09:27.2250661Z commit-date: 2026-05-25
2026-06-04T00:09:27.2251255Z host: x86_64-unknown-linux-gnu
2026-06-04T00:09:27.2251872Z release: 1.96.0
2026-06-04T00:09:27.2252446Z LLVM version: 22.1.2
